question

DennisHou-3645 avatar image
0 Votes"
DennisHou-3645 asked DSPatrick commented

Windows 2008 RU2 SP1 to upgrade .NET 3.5 to .NET 4.0

My problem is when I upgrade Symantec SEPM 12 to SEPM 14, it needs .NET 3.5 to upgrade to .NET 4.0.
I have tried so many ways to upgrade .NET, it just doesn't allow me to upgrade ( the attached is the log img)189911-install-faild.png.



I did tried to add the certificate (microoceraut2011_2011_03_22.crt) to our system then run the upgrade in different ways, but it still got the same error message.
Can you tell my how to up grade .NET for Windows 2008 RU2 SP1? ( I tried to upgrade from Windows 2008 RU2 SP1 to SP2, it doesn't allow me to do either.

Do I have to upgrade Windows 2008 to 2012 or up?

Thanks

windows-serverwindows-platform-network
install-faild.png (77.8 KiB)
· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

You must install SHA-2 support update KB4474419 first
and there is no SP2 for Server 2008 R2

0 Votes 0 ·

1 Answer

DSPatrick avatar image
0 Votes"
DSPatrick answered DSPatrick commented

tried to upgrade from Windows 2008 RU2 SP1 to SP2, it doesn't allow me to do either

Please run the system update readiness tool.
https://www.catalog.update.microsoft.com/Search.aspx?q=KB947821
(most likely windows6.0-servicing-x64-5sep14_8b80d0a1edd3f2051e9e9c6c8479397a3cb4fc35.exe assuming 64 bit)

Then post the results of;
%SYSTEMROOT%\Logs\CBS\CheckSUR.log









· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Just checking if there's any progress or updates?

--please don't forget to upvote and Accept as answer if the reply is helpful--



0 Votes 0 ·